struts-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Lukasz Lenart <lukaszlen...@apache.org>
Subject Re: Struts 2.3.21 ready for test
Date Fri, 02 Jan 2015 12:19:13 GMT
2015-01-02 12:31 GMT+01:00 Johannes Geppert <jogep@apache.org>:
> But maybe creating a section in the Convention Plugin Documentation how to
> enable/fix problems with Lambda Expression is enough?

Maybe you're right, but I would like to hear other's opinion,
especially users using 2.3.20 with Java 8 and CXF (the original
reports for that issue)

> Creating a plugin which fix a JDK related problem of another plugin and
> mark it as deprecated at the same time when introducing it feels wrong to
> me.

There are few other issues here - first we already introduced support
for Java 8 with 2.3.20, now throwing it away can harm people (but
maybe the note in the docs is a sufficient solution). Another thing is
that we're using ASM in very limited way and maybe there is a better
approach without ASM (I thought about
https://code.google.com/p/reflections/ instead) - if with drop ASM,
such plugin won't be needed anymore and we can deprecate it.


Regards
-- 
Ɓukasz
+ 48 606 323 122 http://www.lenart.org.pl/

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@struts.apache.org
For additional commands, e-mail: dev-help@struts.apache.org


Mime
View raw message